scim_pointer.h File Reference

Smart pointer class interface. More...

## Classes

class | scim::Pointer< T >
| Smart pointer template class. More...

## Namespaces

namespace | scim

## Functions

Equality operators
template<typename T1, typename T2>
bool | scim::operator== (const Pointer< T1 > &t1, const Pointer< T2 > &t2)
template<typename T1, typename T2>
bool | scim::operator!= (const Pointer< T1 > &t1, const Pointer< T2 > &t2)
C++-style casting functions
template<typename To, typename From>
Pointer< To > | scim::cast_const (const Pointer< From > &from)
template<typename To, typename From>
Pointer< To > | scim::cast_dynamic (const Pointer< From > &from)
template<typename To, typename From>
Pointer< To > | scim::cast_static (const Pointer< From > &from)

## Detailed Description

Smart pointer class interface.

Provides a reference-counted-object aware smart pointer class.

Most code of this file are came from Inti project.